GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnService Class Reference

## Public Member Functions
ShopReturnService | getShopReturn ()
void | setShopReturn (ShopReturnService value)
IntercompanyService | getIntercompany ()
void | setIntercompany (IntercompanyService value)

## Protected Attributes
ShopReturnService | shopReturn
IntercompanyService | intercompany

## Detailed Description

Abstract shipment service container covers the available services on shipment level

Java class for CreateReturnService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="CreateReturnService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <choice>
            <element name="ShopReturn" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}ShopReturnService"/>
            <element name="Intercompany" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}IntercompanyService"/>
          </choice>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 40 of file CreateReturnService.java.

## Member Function Documentation

## ◆ getIntercompany()

IntercompanyService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnService.getIntercompany | ( |  | ) |

Gets the value of the intercompany property.

Returns
  possible object is IntercompanyService

Definition at line 79 of file CreateReturnService.java.

## ◆ getShopReturn()

ShopReturnService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnService.getShopReturn | ( |  | ) |

Gets the value of the shopReturn property.

Returns
  possible object is ShopReturnService

Definition at line 55 of file CreateReturnService.java.

## ◆ setIntercompany()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnService.setIntercompany | ( | IntercompanyService | value | ) |

Sets the value of the intercompany property.

Parameters

  value | allowed object is IntercompanyService

Definition at line 91 of file CreateReturnService.java.

## ◆ setShopReturn()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnService.setShopReturn | ( | ShopReturnService | value | ) |

Sets the value of the shopReturn property.

Parameters

  value | allowed object is ShopReturnService

Definition at line 67 of file CreateReturnService.java.

## Member Data Documentation

## ◆ intercompany

IntercompanyService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnService.intercompany
| protected

Definition at line 45 of file CreateReturnService.java.

## ◆ shopReturn

ShopReturnService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnService.shopReturn
| protected

Definition at line 43 of file CreateReturnService.java.

The documentation for this class was generated from the following file:

- CreateReturnService.java